View Issue Details

IDProjectCategoryView StatusLast Update
0004660Talerwallet (WebExtensions)public2016-10-11 17:28
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004660: Wallet refers to wrong reserve
DescriptionThe following error happens even after a total reset of the 'talertest' DB, so it is presumably the wallet that refers to a bad/non-existent reserve. It's not super critical but it pollutes the logs.

Sep 16 13:47:50-230231 taler-exchange-httpd-31136 DEBUG Asked to fetch history for an unknown reserve.
TagsNo tags attached.

Activities

Christian Grothoff

2016-09-26 13:57

manager   ~0011153

The fact that the DB reset causes the wallets to reference an unknown reserve is hardly a bug. However, that the wallet then very frequently tries to withdraw the coins is an issue.

We should have some kind of exponential back-off here.

Florian Dold

2016-09-26 18:21

manager   ~0011177

Fixed in c89c90b..211e8c2.

We now (really!) do truncated, randomized exponential backoff.

Issue History

Date Modified Username Field Change
2016-09-16 13:53 Marcello Stanisci New Issue
2016-09-16 13:53 Marcello Stanisci Status new => assigned
2016-09-16 13:53 Marcello Stanisci Assigned To => Florian Dold
2016-09-26 13:57 Christian Grothoff Note Added: 0011153
2016-09-26 13:57 Christian Grothoff Product Version => 0.0
2016-09-26 13:57 Christian Grothoff Target Version => 0.1
2016-09-26 18:21 Florian Dold Note Added: 0011177
2016-09-26 18:22 Florian Dold Status assigned => resolved
2016-09-26 18:22 Florian Dold Resolution open => fixed
2016-09-27 22:25 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed